<?php
$blogUrl = hava_options('url');
$blogTitle = hava_options('title');
$blogTagline = hava_options('tagline');
if(isset($_GET['comments'])) $comments = $_GET['comments'];
// RSS of a category ---------------------------------
if(isset($cat)){ 
	$blogTitle = $blogTitle.' ('.$cat.')';
	$result = hava_all_queries("SELECT * FROM posts WHERE prop='1' AND cat=? ORDER BY date DESC LIMIT 19", array($cat)); 
	$catDesc = hava_single_query("SELECT * FROM cat WHERE name =?", $cat, "desc");
	if($catDesc) $blogTagline = $blogTagline.' ('.$catDesc.')';
}
elseif(isset($comments)){
	$result = hava_all_queries("SELECT * FROM comments WHERE approved='1' ORDER BY date DESC LIMIT 19"); 
	$blogTitle = $blogTitle.' (latest Comments)';
}
else { $result = hava_all_queries("SELECT * FROM posts WHERE prop='1' ORDER BY date DESC LIMIT 19"); }

$rssfeed = '<?xml version="1.0" encoding="utf-8"?>';
$rssfeed .= '<rss version="2.0">';
$rssfeed .= '<channel>';
$rssfeed .= '<title>'.$blogTitle.'</title>';
$rssfeed .= '<link>'.$blogUrl.'</link>';
$rssfeed .= '<description>'.$blogTagline.'</description>';
$rssfeed .= '<language>en-us</language>';
$rssfeed .= '<copyright>Copyright (C) 2011 '.$blogUrl.'</copyright>';

if(isset($comments)){
	foreach($result as $row){
		$commPost = hava_single_query("SELECT * FROM posts WHERE id='".$row['post']."'");
		
		$rssfeed .= '<item>';
		$rssfeed .= '<title>'.$commPost['title'].'</title>';
		
		$postText = strip_tags($row['comment']);
		$postText = substr($postText);
		$rssfeed .= '<description><![CDATA[Written by: '.$row['name'].'<br> ]]>'.htmlspecialchars($postText).'...</description>';
		$rssfeed .= '<link>'.$blogUrl.'/index.php?p='.$row['id'].'</link>';
		$rssfeed .= '<pubDate>'.$row['date'].'</pubDate>';
		$rssfeed .= '</item>';
	}   
}
else{
	foreach($result as $row){
		$rssfeed .= '<item>';
		$rssfeed .= '<title>'.$row['title'].'</title>';
		
		$postText = strip_tags($row['text']);
		$postText = substr($postText, 0, 300);
		$rssfeed .= '<description>'.htmlspecialchars($postText).'...</description>';
		$rssfeed .= '<link>'.$blogUrl.'/index.php?p='.$row['id'].'</link>';
		$rssfeed .= '<pubDate>'.$row['date'].'</pubDate>';
		$rssfeed .= '</item>';
	}   
} 
    $rssfeed .= '</channel>';
    $rssfeed .= '</rss>';
 
    echo $rssfeed;
?>