/*
 * jQuery Sticky Note 1.1
 *
 * Copyright (c) 2009 Ayman Teryaki
 * http://havalite.com
 *
 * Dual licensed under the MIT and GPL licenses:
 *   http://www.opensource.org/licenses/mit-license.php
 *   http://www.gnu.org/licenses/gpl.html
 *
 */
$(function() {
	
	var noteBox = $("#myBox");
	var noteBoxInner = $("#myBoxInner");
	var noteBoxImg = $("img#stickyNote");
	
	var nWidth = noteBox.width();
	var nHeight = noteBox.height();
	var nPos = Array(350, 17); // left, top
	
	var winW = $(window).width();
	var winH = $(window).height();
	
	var resizeEnd = false;
	var editNote = false;
	
	//-------------------------------------------
	noteBox.resizable();
	
	noteBox.resize(function(){
		nWidth	= noteBox.width();
		nHeight = noteBox.height();
		resizeEnd = true;
	});
	
	$(document).mouseup(function() {
		
		if(resizeEnd==true){
		/*
			$.post('hava_ajax_response.php', { resized:true, w: nWidth, h: nHeight }, function(data) {
				$('#testNote').html(data);
			});
		*/			
			$.post("hava_ajax_response.php", { resized:true, w: nWidth, h: nHeight });
			resizeEnd = false;
		}
	});

	noteBoxImg.toggle(
		
		function() { 
			var outOfDimW = (nPos[0] *2) + nWidth;
			var outOfDimH = (nPos[1] *2) + nHeight;

			if((outOfDimW + 10) > winW){ noteBox.width(300); }
			if((outOfDimH) > winH){ noteBox.height(200); }
			noteBoxImg.attr({ src:"sys/img/sticky_note_pin.png" }); noteBox.show(1000); 
		},
		function() { noteBoxImg.attr({ src:"sys/img/sticky_note.png" }); noteBox.hide(1000); }
	);
	
	noteBox.dblclick(function(){
		if($("#note_form_text").val()){} // if textarea exists -> do nothing
		else{
			var notis	= noteBoxInner.text();
			noteBoxInner.html('<form id="note_form" name="note_form" onsubmit=""><textarea id="note_form_text" name="note_form_text" style="width:'+ (nWidth - 9) +'px; height:' + (nHeight - 19) + 'px;">' + notis + '</textarea></form>');
			$('#note_form_text').focus();
			editNote = true;
		}
	});

	noteBoxInner.focusout(function() {
		var myNote = $('#note_form_text').val();
		if(editNote==true){
			$.post("hava_ajax_response.php", { note:myNote });
			editNote = false;
		}
		noteBoxInner.html(myNote);
	});
});